summaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
authorZbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl>2019-12-09 22:02:06 +0100
committerZbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl>2020-03-28 11:46:47 +0100
commitafd9c55dcc801a51a9ce687017f9b88e4f84bd1b (patch)
tree92cadee5081bb750a5c40cec85b6d8303308a695 /test
parente5badaf3350efc4c8e4976b77c891f116fa911d8 (diff)
downloadsystemd-afd9c55dcc801a51a9ce687017f9b88e4f84bd1b.tar.gz
test: move most of TEST-14-MACHINE-ID setup to static files
Diffstat (limited to 'test')
-rwxr-xr-xtest/TEST-14-MACHINE-ID/test.sh58
-rw-r--r--test/units/testsuite-14.service7
-rwxr-xr-xtest/units/testsuite-14.sh38
3 files changed, 46 insertions, 57 deletions
diff --git a/test/TEST-14-MACHINE-ID/test.sh b/test/TEST-14-MACHINE-ID/test.sh
index 74cabf86aa..caae487134 100755
--- a/test/TEST-14-MACHINE-ID/test.sh
+++ b/test/TEST-14-MACHINE-ID/test.sh
@@ -16,63 +16,7 @@ test_setup() {
setup_basic_environment
mask_supporting_services
printf "556f48e837bc4424a710fa2e2c9d3e3c\ne3d\n" >$initdir/etc/machine-id
- dracut_install mount cmp
-
- # setup the testsuite service
- cat >$initdir/etc/systemd/system/testsuite.service <<EOF
-[Unit]
-Description=Testsuite service
-
-[Service]
-ExecStart=/bin/sh -e -x -c '/test-machine-id-setup.sh; systemctl --state=failed --no-legend --no-pager > /failed ; echo OK > /testok'
-Type=oneshot
-EOF
-
-cat >$initdir/test-machine-id-setup.sh <<'EOF'
-#!/usr/bin/env bash
-
-set -e
-set -x
-
-function setup_root {
- local _root="$1"
- mkdir -p "$_root"
- mount -t tmpfs tmpfs "$_root"
- mkdir -p "$_root/etc" "$_root/run"
-}
-
-function check {
- printf "Expected\n"
- cat "$1"
- printf "\nGot\n"
- cat "$2"
- cmp "$1" "$2"
-}
-
-r="$(pwd)/overwrite-broken-machine-id"
-setup_root "$r"
-systemd-machine-id-setup --print --root "$r"
-echo abc >>"$r/etc/machine-id"
-id=$(systemd-machine-id-setup --print --root "$r")
-echo $id >expected
-check expected "$r/etc/machine-id"
-
-r="$(pwd)/transient-machine-id"
-setup_root "$r"
-systemd-machine-id-setup --print --root "$r"
-echo abc >>"$r/etc/machine-id"
-mount -o remount,ro "$r"
-mount -t tmpfs tmpfs "$r/run"
-transient_id=$(systemd-machine-id-setup --print --root "$r")
-mount -o remount,rw "$r"
-commited_id=$(systemd-machine-id-setup --print --commit --root "$r")
-[[ "$transient_id" = "$commited_id" ]]
-check "$r/etc/machine-id" "$r/run/machine-id"
-EOF
-chmod +x $initdir/test-machine-id-setup.sh
-
- setup_testsuite
)
}
-do_test "$@"
+do_test "$@" 14
diff --git a/test/units/testsuite-14.service b/test/units/testsuite-14.service
new file mode 100644
index 0000000000..1fc0da6409
--- /dev/null
+++ b/test/units/testsuite-14.service
@@ -0,0 +1,7 @@
+[Unit]
+Description=TEST-14-MACHINE-ID
+
+[Service]
+ExecStart=/usr/lib/systemd/tests/testdata/units/%N.sh
+ExecStart=/bin/sh -e -x -c 'systemctl --state=failed --no-legend --no-pager >/failed ; echo OK >/testok'
+Type=oneshot
diff --git a/test/units/testsuite-14.sh b/test/units/testsuite-14.sh
new file mode 100755
index 0000000000..95ac9b65ae
--- /dev/null
+++ b/test/units/testsuite-14.sh
@@ -0,0 +1,38 @@
+#!/usr/bin/env bash
+set -e
+set -x
+
+function setup_root {
+ local _root="$1"
+ mkdir -p "$_root"
+ mount -t tmpfs tmpfs "$_root"
+ mkdir -p "$_root/etc" "$_root/run"
+}
+
+function check {
+ printf "Expected\n"
+ cat "$1"
+ printf "\nGot\n"
+ cat "$2"
+ cmp "$1" "$2"
+}
+
+r="$(pwd)/overwrite-broken-machine-id"
+setup_root "$r"
+systemd-machine-id-setup --print --root "$r"
+echo abc >>"$r/etc/machine-id"
+id=$(systemd-machine-id-setup --print --root "$r")
+echo $id >expected
+check expected "$r/etc/machine-id"
+
+r="$(pwd)/transient-machine-id"
+setup_root "$r"
+systemd-machine-id-setup --print --root "$r"
+echo abc >>"$r/etc/machine-id"
+mount -o remount,ro "$r"
+mount -t tmpfs tmpfs "$r/run"
+transient_id=$(systemd-machine-id-setup --print --root "$r")
+mount -o remount,rw "$r"
+commited_id=$(systemd-machine-id-setup --print --commit --root "$r")
+[[ "$transient_id" = "$commited_id" ]]
+check "$r/etc/machine-id" "$r/run/machine-id"